GELF_GETCHDR(3)

NAME
elf32_getchdr, elf64_getchdr, gelf_getchdr - retrieve the compression header of a section

LIBRARY
libelf

SYNOPSIS
#include <libelf.h>
Elf32_Chdr *
elf32_getchdr(Elf_Scn *s);
Elf64_Chdr *
elf64_getchdr(Elf_Scn *s);
#include <gelf.h>
GElf_Chdr *
gelf_getchdr(Elf_Scn *scn, GElf_Chdr *chdr);

DESCRIPTION
These functions return a pointer to the ELF Compression Header data structure associated with section descriptor scn.

Function elf32_getchdr() retrieves a pointer to an Elf32_Chdr structure. Section descriptor scn must be associated with an ELF descriptor of class ELFCLASS32.

Function elf64_getchdr() retrieves a pointer to an Elf64_Chdr structure. Section descriptor scn must be associated with an ELF descriptor of class ELFCLASS64.

Function gelf_getchdr() copies the values in the compression header associated with argument scn to the structure pointed to be argument dst. The GElf_Chdr data structure is described in gelf(3).

RETURN VALUES
Functions elf32_getchdr() and elf64_getchdr() return a valid pointer to the appropriate compression header on success or NULL if an error was encountered.

Function gelf_getchdr() returns argument dst if successful, or NULL if an error was encountered.

ERRORS
These functions may fail with the following errors:

[ELF_E_INVALID_SECTION_FLAGS]
    Arguments scn has invalid flags.

[ELF_E_INVALID_SECTION_TYPE]
    Argument scn has invalid type.

[ELF_E_NOT_COMPRESSED]
    Argument scn is not compressed.

SEE ALSO
elf(3), elf_getscn(3), gelf(3),